<?php
/**
 * @package	BadBot Protection
 * @copyright	Copyright (C) 2018 SiteGuarding.com. All rights reserved.
 * @GNU General Public License
 */
 
defined( '_JEXEC' ) or die;

ini_set("display_errors", "Off");


if (!defined('SGWSBADBOT_SITE_ROOT')) define('SGWSBADBOT_SITE_ROOT', JPATH_ROOT . DIRECTORY_SEPARATOR);

$sgwsbadbot_component_dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
if (!defined('SGWSBADBOT_TOOLS_FILE')) define('SGWSBADBOT_TOOLS_FILE', $sgwsbadbot_component_dir . 'siteguarding_tools.php');

JToolBarHelper::title( JText::_( 'BadBot Protection' ));

$document = JFactory::getDocument();


$app = JFactory::getApplication();


$autologin_config = SGWSBADBOT_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze'.DIRECTORY_SEPARATOR.'website-security-conf.php';
if (file_exists($autologin_config)) include_once($autologin_config);

$domain = substr(JURI::root(),0 ,-1 );
$cfg = new JConfig();
$admin_email = $cfg->mailfrom;
?>

<style>
.sgbot_center{text-align:center}
.sgbot_input{width:400px; border: 1px solid #ddd;font-size:18px;text-align:center;padding-top:2px;}
.sgbot_text_big{text-align:center;font-size:25px;}
.sgbot_text_small{text-align:center;font-size:15px;}
.sgbot_website b{font-size:19px;}
.sgbot_logo{width:500px;margin:20px 0}
.sgbot_help{width:100%}
.sgbot_help td{padding:10px; font-size:15px}
.sgbot_help img{max-width:100%; margin-bottom:5px;}
.sgbot_green{color:#21ba45}
</style>

<?php

$success = sgwsbadbot_check_file();
if ($success) 
{
	if (defined('WEBSITE_SECURITY_AUTOLOGIN'))
	{
		
		
		// file exists
		?>
		<div style="width:90%;margin:auto;">
		<form action="https://www.siteguarding.com/index.php" method="post">
		
		<p style="text-align: center;">
		<img style="width: 500px;margin: 20px 0;" src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_badbotprotection' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'logo_siteguarding.svg'; ?>" />
		</p>
		<p style="text-align: center; font-size: 19px;">Use SiteGuarding dashboard to manage security services of your website</p>

		<p style="text-align: center"><br>
			<input class="btn btn-success" type="submit" value="Security Dashboard" />
		</p>

		<input type="hidden" name="option" value="com_securapp" />
		<input type="hidden" name="autologin_key" value="<?php echo WEBSITE_SECURITY_AUTOLOGIN; ?>" />
		<input type="hidden" name="website_url" value="<?php echo $domain; ?>" />
		<input type="hidden" name="task" value="Panel_autologin" />
		</form>
		
		<hr>
		
		<?php sgwsbadbot_contacts_block(); ?>

		</div>
		<?php
	}
	else {
		
		$verification_code = md5($domain.'-'.time().'-'.rand(1, 1000).'-'.$admin_email);
		if (!is_dir(SGWSBADBOT_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze')) mkdir(SGWSBADBOT_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze');
		$verification_file = SGWSBADBOT_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze'.DIRECTORY_SEPARATOR.'domain_verification.txt';
		
		$fp = fopen($verification_file, 'w');
		fwrite($fp, $verification_code);
		fclose($fp);
		// Need to register the website
		?>
		<div style="width:90%;margin:auto;">
		<form action="https://www.siteguarding.com/index.php" method="post">
		
		<p class="sgbot_center">
		<img class="sgbot_logo" src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_badbotprotection' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'logo_siteguarding.svg'; ?>" />
		</p>
		
		<?php
			sgwsbadbot_help_block();
		?>
		
		<hr />
		
		<p class="sgbot_text_big">One more step to protect your website.</p>
		
		<p class="sgbot_text_small sgbot_website">
			<span class="icon-support"></span> Your website URL:<br>
			<b><?php echo $domain; ?></b>
		</p>
		<p class="sgbot_text_small">
			<span class="icon-user"></span> Your email for account:<br>
			<input class="sgbot_input" type="text" name="email" value="<?php echo $admin_email; ?>" />
		</p>
		<p class="sgbot_center">
			<input class="btn btn-success" type="submit" value="Register & Activate BadBot" />
		</p>

		<input type="hidden" name="option" value="com_securapp" />
		<input type="hidden" name="verification_code" value="<?php echo $verification_code; ?>" />
		
		<input type="hidden" name="website_url" value="<?php echo $domain; ?>" />
		<input type="hidden" name="task" value="Panel_plugin_register_website" />
		</form>
		
		<hr />
		
		<?php
			sgwsbadbot_contacts_block();
		?>
		</div>
		<?php
	}

} else {
	echo '<p style="color:red"><b>The file does not exist or corrupted. Could not to overwrite it. Please reinstall plugin from <a target="_blank" href="https://www.siteguarding.com">https://www.siteguarding.com</a></b></p>';
}

function sgwsbadbot_contacts_block()
{
   ?>
			<p>
			For any help please contact with <a href="https://www.siteguarding.com/en/contacts" target="_blank">SiteGuarding.com support</a> or <a href="http://www.siteguarding.com/livechat/index.html" target="_blank">Live Chat</a>
			</p>
   <?php
}


function sgwsbadbot_check_file() {
	
	$tools_file = SGWSBADBOT_SITE_ROOT.'siteguarding_tools.php';
	if (!is_file($tools_file) || md5_file($tools_file) !== md5_file(SGWSBADBOT_TOOLS_FILE)) copy(SGWSBADBOT_TOOLS_FILE, $tools_file);
	return (is_file($tools_file) && md5_file($tools_file) === md5_file(SGWSBADBOT_TOOLS_FILE));
	
}


function sgwsbadbot_help_block() {
   ?>
			<p class="sgbot_text_big">Features and benefits</p>
			
			<p class="sgbot_text_small">
				<table class="sgbot_help">
				<tr>
					<td><span class="icon-checkmark sgbot_green"></span> Blocks "bad" bots on fly. Only human and allowed bots can visit your website.</td>
					<td><span class="icon-checkmark sgbot_green"></span> Prevention of brute-force attacks. Even with simple password your account is safe.</td>
					<td><span class="icon-checkmark sgbot_green"></span> Content scraping protection. Bots will not be able to copy your content.</td>
				</tr>
				<tr>
					<td><span class="icon-checkmark sgbot_green"></span> Prevention of server overload. Website will work faster for real visitors.</td>
					<td><span class="icon-checkmark sgbot_green"></span> Blocks any bot/script to send spam or collect data from your website.</td>
					
					<td><span class="icon-checkmark sgbot_green"></span> Get full statistics for all bots actions.</td>
				</tr>
				<tr>
					<td>
						<img src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_badbotprotection' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'help_1.png'; ?>" />
						<p>A definition table can have a full width header or footer, filling in the gap left by the first column</p>
					</td>
					   
					<td>
						<img src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_badbotprotection' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'help_2.png'; ?>" />
						<p>A definition table can have a full width header or footer, filling in the gap left by the first column</p>
					</td>
					
					<td>
						<img src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_badbotprotection' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'help_3.png'; ?>" />
						<p>A definition table can have a full width header or footer, filling in the gap left by the first column</p>
					</td>
				</tr>
				</table>
			</p>
   <?php
}

function sgwsbadbot_prepare_domain($domain)
	{
	    $host_info = parse_url($domain);
	    if ($host_info == NULL) return false;
	    $domain = $host_info['host'];
	    if ($domain[0] == "w" && $domain[1] == "w" && $domain[2] == "w" && $domain[3] == ".") $domain = str_replace("www.", "", $domain);
	    //$domain = str_replace("www.", "", $domain);
	    
	    return $domain;
	}



?>
